Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Filter_i Class Reference

`#include <Notify_Filter_i.h>`

Inheritance diagram for TAO_Notify_Filter_i

[legend]
Collaboration diagram for TAO_Notify_Filter_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Filter_i (void)
virtual | ~TAO_Notify_Filter_i (void)
CosNotifyFilter::Filter_ptr | get_ref (CORBA::Environment &ACE_TRY_ENV)
virtual char* | constraint_grammar ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual CosNotifyFilter::ConstraintInfoSeq* | add_constraints ( const CosNotifyFilter::ConstraintExpSeq & constraint_list, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )
virtual void | modify_constraints ( const CosNotifyFilter::ConstraintIDSeq & del_list, const CosNotifyFilter::ConstraintInfoSeq & modify_list, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint, CosNotifyFilter::ConstraintNotFound )
virtual CosNotifyFilter::ConstraintInfoSeq* | get_constraints ( const CosNotifyFilter::ConstraintIDSeq & id_list, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::ConstraintNotFound )
virtual CosNotifyFilter::ConstraintInfoSeq* | get_all_constraints ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual void | remove_all_constraints ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual void | destroy ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual CORBA::Boolean | match ( const CORBA::Any & filterable_data, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
virtual CORBA::Boolean | match_structured ( const CosNotification::StructuredEvent & filterable_data, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
virtual CORBA::Boolean | match_typed ( const CosNotification::PropertySeq & filterable_data, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
virtual CosNotifyFilter::CallbackID | attach_callback ( CosNotifyComm::NotifySubscribe_ptr callback, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual void | detach_callback ( CosNotifyFilter::CallbackID callback, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::CallbackNotFound )
virtual CosNotifyFilter::CallbackIDSeq* | get_callbacks ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
## Private Types
typedef ACE_Hash_Map_Iterator< CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_Notify_Filter_i, Notify_Constraint_Expr*), TAO_SYNCH_MUTEX | CONSTRAINT_EXPR_LIST_ITER )
typedef ACE_Hash_Map_Entry< CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_Notify_Filter_i, Notify_Constraint_Expr*) | CONSTRAINT_EXPR_ENTRY )
## Private Methods
void | add_constraints_i ( const CosNotifyFilter::ConstraintInfoSeq& constraint_info_seq, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )
## Private Attributes
TAO_Notify_ID_Pool<CosNotifyFilter::ConstraintID> | constraint_expr_ids_
ACE_Hash_Map_Manager<CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_Notify_Filter_i, Notify_Constraint_Expr*), TAO_SYNCH_MUTEX | constraint_expr_list_ )

## Member Typedef Documentation

typedef ACE_Hash_Map_Entry<CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_Notify_Filter_i, Notify_Constraint_Expr*) TAO_Notify_Filter_i::CONSTRAINT_EXPR_ENTRY)`[private]`

typedef ACE_Hash_Map_Iterator<CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_Notify_Filter_i, Notify_Constraint_Expr*), TAO_SYNCH_MUTEX TAO_Notify_Filter_i::CONSTRAINT_EXPR_LIST_ITER)`[private]`

## Constructor & Destructor Documentation

const char *get_rcsid_Notify_ TAO_Notify_Filter_i::TAO_Notify_Filter_i ( | void )`[inline]`

TAO_Notify_Filter_i::~TAO_Notify_Filter_i ( | void )`[virtual]`

## Member Function Documentation

CosNotifyFilter::ConstraintInfoSeq * TAO_Notify_Filter_i::add_constraints ( | const CosNotifyFilter::ConstraintExpSeq & constraint_list,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )`[virtual]`

void TAO_Notify_Filter_i::add_constraints_i ( | const CosNotifyFilter::ConstraintInfoSeq & constraint_info_seq,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint )`[private]`

CosNotifyFilter::CallbackID TAO_Notify_Filter_i::attach_callback ( | CosNotifyComm::NotifySubscribe_ptr callback,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

char * TAO_Notify_Filter_i::constraint_grammar ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_Filter_i::destroy ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_Filter_i::detach_callback ( | CosNotifyFilter::CallbackID callback,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::CallbackNotFound )`[virtual]`

CosNotifyFilter::ConstraintInfoSeq * TAO_Notify_Filter_i::get_all_constraints ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::CallbackIDSeq * TAO_Notify_Filter_i::get_callbacks ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::ConstraintInfoSeq * TAO_Notify_Filter_i::get_constraints ( | const CosNotifyFilter::ConstraintIDSeq & id_list,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::ConstraintNotFound )`[virtual]`

CosNotifyFilter::Filter_ptr TAO_Notify_Filter_i::get_ref ( | CORBA::Environment & ACE_TRY_ENV )

CORBA::Boolean TAO_Notify_Filter_i::match ( | const CORBA::Any & filterable_data,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )`[virtual]`

CORBA::Boolean TAO_Notify_Filter_i::match_structured ( | const CosNotification::StructuredEvent & filterable_data,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )`[virtual]`

CORBA::Boolean TAO_Notify_Filter_i::match_typed ( | const CosNotification::PropertySeq & filterable_data,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )`[virtual]`

void TAO_Notify_Filter_i::modify_constraints ( | const CosNotifyFilter::ConstraintIDSeq & del_list,
| const CosNotifyFilter::ConstraintInfoSeq & modify_list,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::InvalidConstraint, CosNotifyFilter::ConstraintNotFound )`[virtual]`

void TAO_Notify_Filter_i::remove_all_constraints ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

## Member Data Documentation

TAO_Notify_ID_Pool< CosNotifyFilter::ConstraintID > TAO_Notify_Filter_i::constraint_expr_ids_`[private]`

ACE_Hash_Map_Manager<CosNotifyFilter::ConstraintID, ACE_NESTED_CLASS (TAO_Notify_Filter_i, Notify_Constraint_Expr*), TAO_SYNCH_MUTEX TAO_Notify_Filter_i::constraint_expr_list_)`[private]`

The documentation for this class was generated from the following files:

- Notify_Filter_i.h
- Notify_Filter_i.cpp